KNOWLEDGE BASE

Error "The drivers required to connect to the data source are not installed" Publishing Amazon Aurora Data Source to Tableau Online or Refreshing Using Bridge


Published: 16 Aug 2019
Last Modified Date: 19 Aug 2019

Issue

When publishing either a live Amazon Aurora data source to Tableau Online or try refreshing a Amazon Aurora extract using Tableau Bridge, the following error occurs:

The drivers required to connect to the data source are not installed. You might need to make local configuration changes to resolve the error.
Error: Unable to connect to this Tableau Server data source.
Tableau Server expected to find driver version 5.1.0 to connect to the database server 'server-name' but version 5.3.0 is installed.
 
[Microsoft][ODBC Driver Manager] Data source name not found and no default driver specified
Unable to connect to the Amazon Aurora server "server-name". Check that the server is running and that you have access privileges to the requested database.


 

Environment

  • Tableau Online
  • Tableau Desktop
  • Tableau Bridge
  • Amazon Aurora

Resolution

On the computer where you are publishing from or where you are running Tableau Bridge, update your MySQL driver to the "expected" version listed in the error message.
 

Cause

The version of the MySQL driver currently installed was not compatible with the version of Amazon Aurora. 
Did this article resolve the issue?